org.apache.commons.collections4.list

## Class AbstractLinkedList.Node<E>

- java.lang.Object
- - org.apache.commons.collections4.list.AbstractLinkedList.Node<E>

- Enclosing class:
    AbstractLinkedList<E>

      protected static class AbstractLinkedList.Node<E>
      extends Object

  A node within the linked list.

  From Commons Collections 3.1, all access to the `value` property is via the methods on this class.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected AbstractLinkedList.Node<E>` | `next` A pointer to the node after this node
    `protected AbstractLinkedList.Node<E>` | `previous` A pointer to the node before this node
    `protected E` | `value` The object contained within this node

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `Node()` Constructs a new header node.
    `protected` | `Node(AbstractLinkedList.Node<E> previous, AbstractLinkedList.Node<E> next, E value)` Constructs a new node.
    `protected` | `Node(E value)` Constructs a new node.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected AbstractLinkedList.Node<E>` | `getNextNode()` Gets the next node.
    `protected AbstractLinkedList.Node<E>` | `getPreviousNode()` Gets the previous node.
    `protected E` | `getValue()` Gets the value of the node.
    `protected void` | `setNextNode(AbstractLinkedList.Node<E> next)` Sets the next node.
    `protected void` | `setPreviousNode(AbstractLinkedList.Node<E> previous)` Sets the previous node.
    `protected void` | `setValue(E value)` Sets the value of the node.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### previous

          protected AbstractLinkedList.Node<E> previous

      A pointer to the node before this node

    - #### next

          protected AbstractLinkedList.Node<E> next

      A pointer to the node after this node

    - #### value

          protected E value

      The object contained within this node

  - ### Constructor Detail

    - #### Node

          protected Node()

      Constructs a new header node.

    - #### Node

          protected Node(E value)

      Constructs a new node.
      Parameters:
        `value` - the value to store

    - #### Node

          protected Node(AbstractLinkedList.Node<E> previous,
                         AbstractLinkedList.Node<E> next,
                         E value)

      Constructs a new node.
      Parameters:
        `previous` - the previous node in the list
        `next` - the next node in the list
        `value` - the value to store

  - ### Method Detail

    - #### getValue

          protected E getValue()

      Gets the value of the node.
      Returns:
        the value
      Since:
        3.1

    - #### setValue

          protected void setValue(E value)

      Sets the value of the node.
      Parameters:
        `value` - the value
      Since:
        3.1

    - #### getPreviousNode

          protected AbstractLinkedList.Node<E> getPreviousNode()

      Gets the previous node.
      Returns:
        the previous node
      Since:
        3.1

    - #### setPreviousNode

          protected void setPreviousNode(AbstractLinkedList.Node<E> previous)

      Sets the previous node.
      Parameters:
        `previous` - the previous node
      Since:
        3.1

    - #### getNextNode

          protected AbstractLinkedList.Node<E> getNextNode()

      Gets the next node.
      Returns:
        the next node
      Since:
        3.1

    - #### setNextNode

          protected void setNextNode(AbstractLinkedList.Node<E> next)

      Sets the next node.
      Parameters:
        `next` - the next node
      Since:
        3.1

Copyright © 2001–2019 The Apache Software Foundation. All rights reserved.